{% extends 'main/base.html' %}

{% block title %}Регистрация{% endblock %}

{% block content %}
    <form class="form-signin" action="" method="post">
        <h1 class="h3 mb-3 font-weight-normal text-center">Регистрация</h1>

        {% if form.errors %}
            {% for field, error in form.errors.items %}
                <div class="alert alert-danger" role="alert">
                    <b>{{ field }}</b> {{ error }}
                </div>
            {% endfor %}
        {% endif %}

        {% csrf_token %}

        <label for="inputEmail" class="sr-only">Email</label>
        <input name="email" type="email" id="inputEmail" class="form-control first" placeholder="Email" required autofocus>
        <label for="inputPassword" class="sr-only">Пароль</label>
        <input name="password" type="password" id="inputPassword" class="form-control" placeholder="Пароль" required>
        <label for="inputPassword2" class="sr-only">Повторить пароль</label>
        <input name="password2" type="password" id="inputPassword2" class="form-control last" placeholder="Повтор пароля" required>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Зарегистрироваться</button>
    </form>
{% endblock %}
